Page MenuHomeFreeBSD

Documentation portal: Translate into Italian
ClosedPublic

Authored by salvadore on Apr 18 2022, 3:39 PM.

Details

Summary

Translates the documentation portal into Italian, as suggested by carlavilla.

Carlavilla already gave doc approval, however I ask him for approval again as in the last translated string I changed the syntax for the link, which was left in the original at the syntax of the old tools: please see the original at https://docs.freebsd.org/en/articles/vm-design/ , in the trademarks paragraph.
I will later fix the original as well, unless someone wants to fix it before I find the time.

I ask for review from madpilot as he is the main reference for Italian translations. For reference, most of the translated strings can be found from the main documentation page https://docs.freebsd.org/en/ or from links that can be found on the same page.

I also ask for mentor approval to my mentors gerald and tcberner.
As commit message I would write only "Documentation portal: Translate into Italian", then as metadata I would add mentor approval, doc approval, differential revision. If someone else tests the build I would also write into the "Tested by:".

Test Plan

Still needs testing. I think the only thing that might break something is the link syntax that I changed.
I have not had the time to study the documentation toolchain yet so I do not know how to test the build yet. I will do it as soon as possible.

Diff Detail

Repository
R9 FreeBSD doc repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

salvadore created this revision.

Apart from the inline comments. Thanks for this!
And don't worry with this change. You're not gonna break anything. It's ok :)

documentation/themes/beastie/i18n/it.toml
8

In Spanish we translated this string too

11

In Spanish we translated this string too

62

In Spanish we translated this string too

74

In Spanish we translated this string too

119

In Spanish we translated this string too

122

In Spanish we translated this string too

170

In Spanish we translated this string too

302

Please remove this spaces

Approved wearing my mentor hat - for the actual commit deferring to the docs pros. :-)

This revision is now accepted and ready to land.Apr 19 2022, 2:38 AM
This revision now requires review to proceed.Apr 20 2022, 11:03 PM

I have removed the spaces that I added by mistakes.

As for the non translated sentences, I checked the Spanish translation but I think that, consistently with the Italian translation conventions that we established with madpilot, we prefer to leave them as they are: I am going to wait for his review and see if he confirms.

I have removed the spaces that I added by mistakes.

As for the non translated sentences, I checked the Spanish translation but I think that, consistently with the Italian translation conventions that we established with madpilot, we prefer to leave them as they are: I am going to wait for his review and see if he confirms.

Perfect! In that case. Approved from docs :)

This revision is now accepted and ready to land.Apr 23 2022, 8:23 AM

Perfect! In that case. Approved from docs :)

Equally (pre)approved by mentor based on the docs approval. :)

Thanks for your work.

I added some suggestions, and found a typo.

Only things I'm strict about are the consistency ones (scarca vs download, for me one is as good as the other but we should not be mixing the two), and I think we should somehow clarify the reference -> riferimento thing, how this common expression in English should really be handled.

The request changes is really only about the typo that need correction though. ON the other comments I'm open to discussion.

documentation/themes/beastie/i18n/it.toml
47

Just an idea, what about "Ultima modifica"?

74

This could be translated to "scarica" (which outaside of IT is commonly used in Italian more like the "unload" word in english, like "to unload a truck"), but using the English "download" in this context, and some consider "scaricare" an improper translation.

So I have no strong feelings about this. It can stay in English without any risk of confusion.

74

Related to the previous comment, we should be consistent though, so we need to choose if always use "scarica" or always use "download" in this context.

86

The word "riferimento" put in there by itself in the Italian translation is not completely correct, I think we should accompani it with the word "documentazione"

What about "Una documentazione di riferimento esauriente sul sistema dei port di FreeBSD"

reasoning is that "un riferimento" by itself in Italian could indicate a single reference, to another document and sounds confusing in this way. If the word is united with a substantive it becomes a qualifying adjective to it and there can be no more confusion

89

I'd go with "FAQ su FreeBSD".

92

I'd go with "Domande frequenti su FreeBSD".

101

I'd go with "su FreeBSD".

104

I'd go with "su FreeBSD"

143

This is just a style thing, the translation itself is correct but I think "realizzato con" is more elegant.

146

Why not translate community too? "dalla comunità di FreeBSD"?

200

There's a typo here: "la Security Research Division ~si~ Network Associates" -> "la Security Research Division ~di~ Network Associates"

I'd also be in favour of translating "FreeBSD Project" with "Progetto FreeBSD". I would not insist on it there are objections, but we need also to be consistent about this.

This revision now requires changes to proceed.Apr 25 2022, 11:02 AM
salvadore marked 9 inline comments as done.

Thanks for your suggestions madpilot.

I have applied most of them. I add more details as inline comments.

@carlavilla : There is also an inline comment for you.

salvadore added inline comments.
documentation/themes/beastie/i18n/it.toml
74

I prefer to keep "Download". The single word "Download" could be used (now or in the future) in different places both as a noun or as a verb, which would require different translations depending on the context. Keeping the English word might be easier to maintain.

86

Fixed as per your suggestion, but instead of the word "documentazione" I preferred to use "manuale".

101

Fixed, but I also changed "dei libri" into "di libri".

104

Fixed, but I also changed "degli articoli" into "di articoli".

146

I feel the word "comunità" more as a group of person that lives together and/or share some kind of faith or problem (e.g. "comunità di recupero"). On the other hand, the use of the English word "community" for denoting groups of people on the web is well estabilished.

200

Indeed you had already suggested translating "FreeBSD Project" in this old review: https://reviews.freebsd.org/D23598 . However existent documentation keeps the English expression, see for example https://docs.freebsd.org/it/books/handbook/ and https://docs.freebsd.org/it/articles/bsdl-gpl/ (which oddly is exactly the document that was translated in the review I just linked, where I had accepted your advice): in both cases check the trademarks paragraph.

I prefer to avoid it. We have to deal with other projects, such as "The XFree86 Project, Inc." in this very document: we would need to check in each single case if the word "project" is part of a proper noun or trademark, and translating it if and only if it is not.
Keeping the English word in all cases is the easiest choice to maintain.

302

@carlavilla: I have brought back the original link syntax: according to https://reviews.freebsd.org/D35018 my correction did not work. I will work on it in https://reviews.freebsd.org/D35018, trying to fix the issue for all the other languages as well.

@salvadore Just fixed the issue with the daemon-news trademark. Thanks for this!

@salvadore Thanks for the corrections, all clear from me!

This revision is now accepted and ready to land.May 27 2022, 7:30 PM
This revision was automatically updated to reflect the committed changes.
salvadore marked an inline comment as done.